Code

Opened 17 months ago

Closed 17 months ago

Last modified 17 months ago

#19734 closed Cleanup/optimization (fixed)

missing values in DATETIME_INPUT_FORMATS docs

Reported by: minddust Owned by: charettes
Component: Documentation Version: master
Severity: Normal Keywords:
Cc: Triage Stage: Accepted
Has patch: no Needs documentation: no
Needs tests: no Patch needs improvement: no
Easy pickings: yes UI/UX: no

Description

here 1 are some values missing.

current code:

DATETIME_INPUT_FORMATS = (
    '%Y-%m-%d %H:%M:%S',     # '2006-10-25 14:30:59'
    '%Y-%m-%d %H:%M:%S.%f',  # '2006-10-25 14:30:59.000200'
    '%Y-%m-%d %H:%M',        # '2006-10-25 14:30'
    '%Y-%m-%d',              # '2006-10-25'
    '%m/%d/%Y %H:%M:%S',     # '10/25/2006 14:30:59'
    '%m/%d/%Y %H:%M:%S.%f',  # '10/25/2006 14:30:59.000200'
    '%m/%d/%Y %H:%M',        # '10/25/2006 14:30'
    '%m/%d/%Y',              # '10/25/2006'
    '%m/%d/%y %H:%M:%S',     # '10/25/06 14:30:59'
    '%m/%d/%y %H:%M:%S.%f',  # '10/25/06 14:30:59.000200'
    '%m/%d/%y %H:%M',        # '10/25/06 14:30'
    '%m/%d/%y',              # '10/25/06'
)

current doc:

DATETIME_INPUT_FORMATS = (
    '%Y-%m-%d %H:%M:%S', 
    '%Y-%m-%d %H:%M', 
    '%Y-%m-%d',
    '%m/%d/%Y %H:%M:%S', 
    '%m/%d/%Y %H:%M', 
    '%m/%d/%Y',
    '%m/%d/%y %H:%M:%S', 
    '%m/%d/%y %H:%M', 
    '%m/%d/%y'
)

1: https://docs.djangoproject.com/en/dev/ref/settings/#datetime-input-formats

Attachments (0)

Change History (5)

comment:1 Changed 17 months ago by charettes

  • Needs documentation unset
  • Needs tests unset
  • Owner changed from nobody to charettes
  • Patch needs improvement unset
  • Status changed from new to assigned
  • Triage Stage changed from Unreviewed to Accepted

comment:2 Changed 17 months ago by charettes

  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed on master and on 1.5.x

comment:3 Changed 17 months ago by Simon Charette <charette.s@…>

In f58aae9311ade7a59ca97ec1e5dee7c08ab86f28:

[1.5.x] Fixed #19734 -- Missing values in DATETIME_INPUT_FORMATS doc.

Also changed formating of DATE_INPUT_FORMATS and
TIME_INPUT_FORMATS for readability.

Thanks minddust for the report!

Backport of 5c70299a71 from master.

comment:4 Changed 17 months ago by Simon Charette <charette.s@…>

In 5c70299a712434c8f1b2156230634913c6a0c813:

Fixed #19734 -- Missing values in DATETIME_INPUT_FORMATS doc.

Also changed formating of DATE_INPUT_FORMATS and
TIME_INPUT_FORMATS for readability.

Thanks minddust for the report!

comment:5 Changed 17 months ago by Simon Charette <charette.s@…>

In f58aae9311ade7a59ca97ec1e5dee7c08ab86f28:

[1.5.x] Fixed #19734 -- Missing values in DATETIME_INPUT_FORMATS doc.

Also changed formating of DATE_INPUT_FORMATS and
TIME_INPUT_FORMATS for readability.

Thanks minddust for the report!

Backport of 5c70299a71 from master.

Add Comment

Modify Ticket

Change Properties
<Author field>
Action
as closed
as The resolution will be set. Next status will be 'closed'
The resolution will be deleted. Next status will be 'new'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.